<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- website icon -->
	<link rel="website icon" type="png" href="./images/nodejs.png">

	<!-- link for the bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

	<title>Bootstrap Components</title>
</head>
<body>
	<!-- navbar section -->
	<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
	  <a class="navbar-brand" href="#">Rafael Palad</a>
	  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
	    <span class="navbar-toggler-icon"></span>
	  </button>
	  <div class="collapse navbar-collapse" id="navbarNav">
	    <ul class="navbar-nav ml-auto">
	      <li class="nav-item active">
	        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link" href="#">About me</a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link" href="#">Projects</a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link disabled">Tools</a>
	      </li>
	    </ul>
	  </div>
	</nav>
	<!-- end of navbar -->



	<div class="container-fluid text-center">
		<div class="row">
			<!-- side bar -->
			<div class="col-md-2 d-none d-md-block p-0">
				<div class="accordion" id="accordionExample">
				  <div class="card">
				    <div class="card-header" id="headingOne">
				      <h2 class="mb-0">
				        <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
				          Services
				        </button>
				      </h2>
				    </div>

				    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
				      <div class="card-body">
				        <ul style="list-style: none;" class="text-justify">
				        	<li><a href="">Front-end Design</a></li>
				        	<li><a href="">Back-end Design</a></li>
				        	<li><a href="">Full-stack Development</a></li>
				        </ul>
				      </div>
				    </div>
				  </div>
				  <div class="card">
				    <div class="card-header" id="headingTwo">
				      <h2 class="mb-0">
				        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
				          Projects
				        </button>
				      </h2>
				    </div>
				    <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
				      <div class="card-body">
				        <ul style="list-style: none" class="text-justify">
				        	<li><a href="">HTML</a></li>
				        	<li><a href="">CSS</a></li>
				        	<li><a href="">Bootstrap</a></li>
				        </ul>
				      </div>
				    </div>
				  </div>
				  <div class="card">
				    <div class="card-header" id="headingThree">
				      <h2 class="mb-0">
				        <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
				          Tools
				        </button>
				      </h2>
				    </div>
				    <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
				      <div class="card-body">
				        <ul style="list-style: none" class="text-justify">
				        	<li><a href="">Core Tools</a></li>
				        	<li><a href="">Other Tools</a></li>
				        </ul>
				      </div>
				    </div>
				  </div>
				</div>
			</div>
			<!-- End of Side bar -->

			<div class="col-md-10 p-0">
				<div class="container-fluid bg-dark text-light text-center min-vh-100">
					<img src="./images/ada.jpg" class="rounded-circle col-md-3 col-6 mt-5">	

					<h1>Ada Lovelace</h1>
					<h3>FULL-STACK DEVELOPER</h3>
					<div class="row">
						<div class="col-8 offset-2">
							Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
							tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
							quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
							consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
							cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
							proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
						</div>
					</div>

					<!-- Start of Carousel -->
					<div class="row d-md-block d-none mt-5">
						<div class="col-8 offset-2">
							<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
							  <ol class="carousel-indicators">
							    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
							    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
							    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
							  </ol>
							  <div class="carousel-inner">
							    <div class="carousel-item active">
							      <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
							    </div>
							    <div class="carousel-item">
							      <img src="http://placekitten.com/500/300" class="d-block w-100" alt="...">
							    </div>
							    <div class="carousel-item">
							      <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
							    </div>
							  </div>
							  <a class="carousel-control-prev" type="button" data-target="#carouselExampleIndicators" data-slide="prev">
							    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
							    <span class="sr-only">Previous</span>
							  </a>
							  <a class="carousel-control-next" type="button" data-target="#carouselExampleIndicators" data-slide="next">
							    <span class="carousel-control-next-icon" aria-hidden="true"></span>
							    <span class="sr-only">Next</span>
							  </a>
							</div>
						</div>
					</div>
					<!-- End of Carousel -->
				</div>
				<!-- start of Cards -->
				<div class="bg-secondary text-light min-vh-100 p-3">
					<h2>Other Projects</h2>
					<div class="d-md-flex justify-content-md-around">
						<!-- first card -->
						<div class="card bg-dark col-md-3 col-8 offset-2 offset-md-0 mb-3">
						  <img class="p-3" src="./images/html.jpg" class="card-img-top" alt="...">
						  <div class="card-body">
						    <h5 class="card-title">HTML</h5>
						    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
						  </div>
						  <div class="card-body">
						    <a href="#" class="card-link">Link to Project</a>
						  </div>
						</div>
						<!-- end of first card -->

						<!-- Start 0f 2nd card -->
						<div class="card bg-dark col-md-3 col-8 offset-2 offset-md-0 mb-3">
						  <img class="p-3" src="./images/bootstrap-illustration.png" class="card-img-top" alt="...">
						  <div class="card-body">
						    <h5 class="card-title">Bootstrap</h5>
						    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
						  </div>
						  <div class="card-body">
						    <a href="#" class="card-link">Link to Project</a>
						  </div>
						</div>
						<!-- End of 2nd card -->

						<!-- Start of the 3rd Card -->
						<div class="card bg-dark col-md-3 col-8 offset-2 offset-md-0 mb-3">
						  <img class="p-3" src="./images/nodejs.png" class="card-img-top" alt="...">
						  <div class="card-body">
						    <h5 class="card-title">Node</h5>
						    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
						  </div>
						  <div class="card-body">
						    <a href="#" class="card-link">Link to Project</a>
						  </div>
						</div>
						<!-- ENd of the 3rd Card -->
					</div>

				</div>
				<!-- End of Cards -->

				<!-- Start of Form -->
				<div class="bg-dark min-vh-100">				
						<h2 class="text-white pt-3">Contact Me</h2>
						<div class="bg-primary col-md-4 mx-auto">
							<div class="text-white">
								<form>
								  <div class="form-group">
								    <label for="exampleFormControlInput1">Name</label>
								    <input type="email" class="form-control" id="exampleFormControlInput1" placeholder="name">
								    <label for="exampleFormControlInput1">Email address</label>
								    <input type="email" class="form-control" id="exampleFormControlInput1" placeholder="name@example.com">
								    <label for="exampleFormControlInput1">Contact number</label>
								    <input type="email" class="form-control" id="exampleFormControlInput1" placeholder="+14344">
								  </div>
								  <div class="form-group">
								    <label for="exampleFormControlSelect1">Concern</label>
								    <select class="form-control" id="exampleFormControlSelect1">
								      <option>Question</option>
								      <option>Appointment</option>
								      <option>Follow-up</option>	
								    </select>
								  </div>
								  <div class="form-group">
								    <label for="exampleFormControlTextarea1">Message</label>
								    <textarea class="form-control" id="exampleFormControlTextarea1" rows="3"></textarea>
								  </div>
								  <button type="button" class="bg-dark text-white col-6 mb-1" data-toggle="modal" data-target=".modal">Send Email</button>
								</form>
							</div>
						</div>
				</div>
				<!-- End of Form -->

				<!-- Start of Modal -->
				<div class="modal" tabindex="-1">
				  <div class="modal-dialog">
				    <div class="modal-content">
				      <div class="modal-header">
				        <h5 class="modal-title">Thank you for contacting us!</h5>
				        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
				          <span aria-hidden="true">&times;</span>
				        </button>
				      </div>
				      <div class="modal-body">
				        <p>Message Successfully Sent</p>
				      </div>
				      <div class="modal-footer">
				        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				      </div>
				    </div>
				  </div>
				</div>
				<!-- End of Modal -->

			</div>
		</div>

	</div>

	




	<!-- script -->

	<!-- Script tag for the bootstrap -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>